id: wordpress-image-optimization

info:
  name: Image Optimizer – Optimize Images and Convert to WebP or AVIF Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/image-optimization/
  metadata:
    plugin_namespace: image-optimization
    wpscan: https://wpscan.com/plugin/image-optimization
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/image-optimization/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/image-optimization.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100d1b09017646ea22635d9f4a6e73e582b87e1de9eb77c091b3e71a860080fb811022100be33ad8368c7fa0eb65545d2c8b343a5d8d577c10350acae2babb2451f386c21:922c64590222798bb761d5b6d8e72950